Bug 19304 - Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address
Summary: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19303
Blocks: 16846
  Show dependency treegraph
 
Reported: 2017-09-12 21:41 UTC by Jonathan Druart
Modified: 2018-01-16 12:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19304: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address (8.90 KB, patch)
2017-09-13 19:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19304: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address (8.91 KB, patch)
2017-10-13 20:46 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 19304: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address (8.98 KB, patch)
2018-01-02 08:46 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19304: (QA follow-up) Fix number of tests in Members.t (683 bytes, patch)
2018-01-02 08:46 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-09-12 21:41:45 UTC

    
Comment 1 Jonathan Druart 2017-09-13 19:44:10 UTC
Created attachment 67126 [details] [review]
Bug 19304: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address

This subroutine is quite trivial and can be replaced easily with a new
method of Koha::Patron

Test plan:
Overdue notices and shelf sharing must be send the to an email address,
according to the value of the pref AutoEmailPrimaryAddress
Comment 2 David Bourgault 2017-09-29 20:45:10 UTC
I can't apply the patch

fatal: sha1 information is lacking or useless (C4/Members.pm).
Comment 3 Jonathan Druart 2017-10-02 13:30:36 UTC
Apply correctly for me, you need to apply the patches from bug 19303 first.
Comment 4 David Bourgault 2017-10-13 20:46:54 UTC
Created attachment 68111 [details] [review]
Bug 19304: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address

This subroutine is quite trivial and can be replaced easily with a new
method of Koha::Patron

Test plan:
Overdue notices and shelf sharing must be send the to an email address,
according to the value of the pref AutoEmailPrimaryAddress

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 5 Josef Moravec 2018-01-02 08:46:56 UTC
Created attachment 70222 [details] [review]
Bug 19304: Move C4::Members::GetNoticeEmailAddress to Koha::Patron->notice_email_address

This subroutine is quite trivial and can be replaced easily with a new
method of Koha::Patron

Test plan:
Overdue notices and shelf sharing must be send the to an email address,
according to the value of the pref AutoEmailPrimaryAddress

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2018-01-02 08:46:59 UTC
Created attachment 70223 [details] [review]
Bug 19304: (QA follow-up) Fix number of tests in Members.t

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2018-01-02 15:13:02 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-01-16 12:22:07 UTC
Enhancement, skipping for 17.11.x.
Awesome work everybody!